FROM harbor.iot.yn-ce.com/library/alpine-jdk:8
VOLUME /tmp
ARG JAR_FILE
COPY ${JAR_FILE} app.jar
RUN  ["mkdir","/log"]
ENTRYPOINT ["java","-XX:+UnlockExperimentalVMOptions","-XX:+UseCGroupMemoryLimitForHeap","-DLANG=UTF-8 -DLC_ALL=UTF-8 -DLC_CTYPE=UTF-8","-Dfile.encoding=UTF-8","-Duser.timezone=GMT+08","-Dspring.profiles.active=${PROFILE}","-jar","/app.jar"]
